Joomla! 3.7.0にアップデート

家族のサイトで利用しているCMSツール「Joomla!」をバージョン3.7.0にアップデートしました。
アップデート後、管理画面に「PHPのバージョンが古いのでアップデートしなさい」という内容の警告が表示されたので、借りているレンタルサーバーのLolipopにログインし、PHPのバージョンをPHP5.3から最新のPHP7.1に変更したところ、このブログを含む、MySQLを利用している全てのアプリが動作しなくなってしまいました。
よく見るとLolipopに以下のような注意事項がありました。

PHP7.1利用のドメインで簡単インストール、サイト表示ができません。 / CGI・SSI・PHPについて / よくある質問 / サポート – レンタルサーバーならロリポップ!

簡単インストールが失敗したり、サイトで「データベース接続確立エラー」が表示される場合、データベースのパスワード形式が影響している可能性があります。

ロリポップ!で提供しているPHP7.1では、セキュリティレベルが高いデータベース接続方法を採用しており、PHP7.1を利用しているドメインから、古いパスワード形式である「old_password形式」を利用しているデータベースへの接続を行うことができません。

PHP7.1利用のドメインで使用するデータベースは、パスワード形式が「native_password形式」となっている必要があります。

以下をご参照の上、ご対応ください。
(以下省略)

 
パスワード形式の変更手順も記載されていましたが、MySQLのパスワード形式の変更は後日行うことにし、PHPのバージョンをPHP5.6に変更しました。

これで、このブログを始め多くのアプリは動作するようになりましたが、Wikiだけ表示されません。
今は更新もしていないwikiなので、この際削除しますかね、、、
(´・ω・`)

ただセキュリティの問題もあるので、近いうちにMySQLのパスワード形式を変更し、PHP7.1に変更しなくては。
しーゆー。
 

ナウでヤングなレンタルサーバーではなくなったロリポップ!

レンタルサーバーの「ロリポップ!」はナウでヤングなレンタルサーバーとして売り出していたわけですが、その「ナウでヤングな」をやめて普通のレンタルサーバーになっちゃったそうです。

関連ニュース
“ナウでヤングなレンタルサーバー”15年の歴史に幕、「ロリポップ!」がブランドイメージを転換 -INTERNET Watch
 
 
もうロリポおじさんは登場しないのかな。
まぁ、サクサク動いてさえくれれば、どっちでもいいけどね。
しーゆー。
 

Lolipopの「potofoo」サービス終了

Lolipopのプロフィール作成サービス「potofoo」が2016年02月08日にサービス終了するということなので、自分のプロフィールの記念のスクショ。
potofoo_end
 
以前はもっといくつか表示させていた気がしますが、この数年の間に連携がうまくいかなくなったサービスがあるんでしょうか。
 
 
関連ニュース
特典サービス「potofoo」提供終了のご案内 – 2016年01月27日 / 新着情報 / お知らせ – レンタルサーバーならロリポップ! at 2016.01.27
 
 
My関連エントリー
potofooでプロフィールページを作ってみた at 2012.10.25
potofooにPinterestとFlickrが追加 at 2012.10.26
 
 
画像をクリックすると拡大画像を表示します。
 

ロリポップ!に同時アクセス数拡張機能

レンタルサーバーのロリポップ!に、ネットワークのトラフィックが急激に増大し、データ転送量がオーバーした場合にトラフィック量を一時的に緩和することでウェブサイトが表示されない「503エラー」の発生を抑える「同時アクセス数拡張機能」が提供されたとのこと。
ロリポップ!ユーザとしては、嬉しい機能。

えっ?
たいしたアクセスのない、おまえのサイトには必要ないだろうって?
おっしゃる通りでございます(^^;
あっ、でも過去にはスパムが押し寄せたことが、、、
 
 
関連ニュース
GMOペパボの「ロリポップ!」、急激なアクセスによる「503エラー」を回避する機能を無償提供 -INTERNET Watch at 2015.12.07
 

CGI CANDY BOX!サービス終了

アクセスカウンターやアイコン掲示板など、ホームページを構成するいろいろなアクセサリーを提供してくれていたペパポの「可愛いレンタルCGI! CGI CANDY BOX!」が5月26日でサービス終了するとのことです。
ホームページをうんようするということがほとんどなくなっている今、これもしかたないことなのかなぁ。。。

ロリポップ!レンタルサーバーさんからのメール

この度、2014年5月26日(月)お昼 12時をもちまして、
CGI CANDY BOX! の提供を終了させていただくことになりました。
日頃よりご利用いただいている皆様にはご迷惑をおかけすることとなり、
誠に申し訳ございません。

 
 
 

Joomlaを再インストール

ロリポップサーバにインストールしていたJoomlaがデータベースMySQLに繋がらなくなってしまっていたのですが、本日、最新版をインストールして作りなおしました。
新しいJoomla、驚くほどインストールが簡単になっていました。
サーバにファイルをアップロード後、Webブラウザでサイトにアクセスすると、
(1)サイト名などの入力
(2)MySQLの設定
(3)管理者の登録
(4)インストール用ファイルの削除
をブラウザ上で簡単に行なうことができました。

ダッシュボードも使いやすくなった感じです。
joolma20131005
(画像をクリックすると拡大画像を表示します。)

ということで、サイト内コンテンツをせっせと復旧作業中(^^;

My関連エントリー
MySQLに繋がらなくなった? at 2013.09.20

関連サイト
Joomla! じゃぱん – Joomla! JAPAN

MySQLに繋がらなくなった?

LolipopのサーバにインストールしていたアプリのいくつかがMySQLに繋がらなくなってしまった。

繋がらなくなったのは、
・zenPHOTO
・Joomla
・OpnePNE
他にもあるかも。

このブログを含むいくつかのWordPress利用のブログはいずれも問題なし。

困ったなぁ。。。
(´・ω・`)

WordPressのinstall.phpなんてとっくに削除してるのに

ロリポップさんより、WordPress の『 install.php 』のパーミッションを「 000 」に設定いたしましたという趣旨のメールが届きました。
lolipop20130903

いえいえ、install.phpなどというファイルは、インストール後すぐに削除していますけど。。。
確認してみましたが、やはり存在してません。
手順上削除するようになっていたと思うのですが、もしかしたら、ロリポップの簡単インストールでインストールした場合には削除されずに残っていたのでしょうかねぇ。

My関連エントリー
ロリポップの簡単インストールが利用停止? at 2013.08.31
ロリポップ!に第三者からの大規模攻撃 at 2013.08.31

ロリポップの簡単インストールが利用停止?

現在ロリポップサーバーの「簡単インストール」の項目からWordPressが削除されてしまってますが、それ以外についても「簡単インストール」自体が使えなくなっていますね。
ロリポップサーバーに設置のWordPressに次々と不正アクセスがあった件の影響だと思われますが、その件は、configファイルのパーミッションの設定ミスで一件落着だったんじゃないのかなぁ。。。。

lolipop20130830
(画像をクリックすると拡大画像を表示します。一部ぼかしを入れています。)
 
 
まさに本日、簡単インストールを使ってWordPressのブログを一つ開設しようかなぁ、、、
なんて思ってたのに・・・
自分で一からインストールする気力はない。。。
(´・ω・`)

My関連エントリー
ロリポップ!に第三者からの大規模攻撃 at 2013.08.31

ロリポップ!に第三者からの大規模攻撃

私が利用しているレンタルサーバー「ロリポップ!」において、WordPressへの不正アクセスが多数発生しているとのことです。
本件に関してロリポップさんより、wp-config.php のパーミッションを「400」に変更したとの連絡メール。

現在、ロリポップ!において、第三者からの大規模攻撃により WordPress を
ご利用中のお客様のサイトが改ざんされる被害が発生しております。
お客様には、多大なるご心配をおかけしており大変申し訳ございません。

この攻撃に伴い、セキュリティ強化の為、
改ざんを受けていないお客様を含めた全てのお客様の
サーバー領域に設置されている WordPress において、
wp-config.php のパーミッションを「400」に変更いたしました。

wp-config.php は WordPress の動作に必要な
設定情報が書き込まれたファイルです。
この変更によるサイトの動作等への影響は無いことを確認の上
変更を行っておりますが、万が一サイトの動作等でご不明な点がございましたら
ユーザー専用ページ内『お問合せ』よりご連絡ください。

今のところ、このブログは問題ないようです。

関連ニュース
ロリポップ!の改ざん被害、WordPressプラグイン/テーマの脆弱性から侵入→ロリポップ!の設定不備を利用される -INTERNET Watch at 2013.08.30
「ロリポップ」のWordPressサイト改ざん被害、原因はパーミッション設定不備 – ITmedia ニュース at 2013.08.30
WordPress利用サイト改ざん、レンタルサーバ「CPI」が注意呼び掛け – ITmedia ニュース at 2013.08.30
「ロリポップ」でWordPress利用サイトが改ざん 「大規模攻撃」で被害4802件 – ITmedia ニュース at 2013.08.29
ニュース – ロリポップ!レンタルサーバーに大規模攻撃、WordPress利用中のサイト8438件が改ざん:ITpro at 2013.08.29